Subject: RE: Re: Perl Tk does not install
From: [email-masked] (Russell Cecala)
To: [email-masked] ("Gerrit P. Haase")
Cc: [email-masked]
Date: Tue, 18 Dec 2001 12:47:39 -0500

Thanks Gerrit,

But I don't like to download src
links.

ftp://ftp.uni-erlangen.de/pub/pc/gnuwin32/cygwin/porters/Haase_Gerrit/1.3/perl/Tk800.023-src.tar.bz2

Just doesn't fell safe.

But thanks anyways

"Gerrit P. Haase" <[email-masked]> wrote:

>Hallo Russell,
>
>2001-12-18 10:09:04, du schriebst:
>
>> Hi,
>
>> I can't seem to get Tk.pm to install
>> on my system:
>
>> $ uname -a
>> CYGWIN_NT-4.0 SRC26 1.3.6(0.47/3/2) 2001-12-08 17:02 i686 unknown
>> $ which gcc
>> /usr/bin/gcc
>> $ gcc -v
>> Reading specs from /usr/lib/gcc-lib/i686-pc-cygwin/2.95.3-5/specs
>> gcc version 2.95.3-5 (cygwin special)
>> $ which perl
>> /usr/bin/perl
>> $ perl -v
>
>> This is perl, v5.6.1 built for cygwin-multi
>
>> Copyright 1987-2001, Larry Wall
>
>> Perl may be copied only under the terms of either the Artistic License or the
>> GNU General Public License, which may be found in the Perl 5 source kit.
>
>> Complete documentation for Perl, including FAQ lists, should be found on
>> this system using `man perl' or `perldoc perl'.  If you have access to the
>> Internet, point your browser at http://www.perl.com/, the Perl Home Page.
>
>> I download Tk800.023 from CPAN.
>> I had to play around with the 
>> Makefile and the location of 
>> the X11 header files.
>
>> Once I got past that mess
>> I got linker errors :(
>
>> Has anyone installed Tk.pm
>> for Cygwin?
>
>There is a patch needed.
>See http://cygwin.com/ported.html for a link to Tk800.023, please.
>There are a precompiled version, patched sources, the patch and a
>README which explains the details.
>
>There is also one place to look if your favourite module is ported:
>http://testers.cpan.org/search?request=by-config and choose cygwin
>(first cygwin entry from top), there is a list about more than 400
>reports about perl modules I built, some with patches.
>
>e.g Tk:
>http://testers.cpan.org/search?request=dist&dist=Tk&macid=130
>
>NOTE: The 'macid's' change from time to time, so if this link doesn't
>work, go back to the first CPAN link above and choose cygwin there.
>
>Gerrit
>-- 
>begin  signature:
>=^..^=
>end
>
>
-- 

__________________________________________________________________
Your favorite stores, helpful shopping tools and great gift ideas. Experience the convenience of buying online with Shop@Netscape! http://shopnow.netscape.com/

Get your own FREE, personal Netscape Mail account today at http://webmail.netscape.com/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/